directories
end_directories;

settings
  operation_mode = real_time;
  input_timeout = 1;
  time_error_limit = 0;
  paint_time_limit = 2;
  skip_init_outputs = true;
  skip_init_procedures = true;
  disable_init_messages = true;
end_settings;

const
end_const;

var
  okno_zmeny = integer, 0;
  AL_vybrano = real, 0;
  AP_vybrano = real, 0;
  BL_vybrano = real, 0;
  BP_vybrano = real, 0;
  CL_vybrano = real, 0;
  CP_vybrano = real, 0;
  L_vyber = array[ 1..6 ] of boolean, false;
  P_vyber = array[ 1..6 ] of boolean, false;
  D_vyber = array[ 1..3 ] of boolean, false;
  S_vyber = array[ 1..3 ] of boolean, false;
end_var;

driver
end_driver;

channel
end_channel;

timer
end_timer;

instrument

  window panel backpane;
    rem = 'hlavn panel aplikace';
    owner = background;
    position = 0, 0, 1024, 720;
    win_disable = zoom;
    win_title = 'ONDREJOV';
    color = dgray;
    blink_color = lgray;
    visibility = false;
  end_panel;

  panel pn_vyber_kameru;
    owner = backpane;
    position = 333, 258, 358, 159;
    visibility = false;
  end_panel;

  label l_vyber;
    owner = pn_vyber_kameru;
    position = 36, 4;
    font = 'MS Sans Serif (Central European)', 17, bold;
    text = 'Aktivace vstup z kamer';
    colors
      ink = lblue;
    end_colors;
  end_label;

  multi_switch L_vyber_kamery;
    owner = pn_vyber_kameru;
    position = 20, 40, 156, 109;
    mode = menu;
    font = 'MS Sans Serif (Central European)', 8, bold;
    item
      text = 'K1  Sledovn oblanosti';
      output = L_vyber[ 1 ];
    end_item;
    item
      text = 'K2  Vstupn trbina';
      output = L_vyber[ 2 ];
    end_item;
    item
      text = 'K3  Spektrum v okulru';
      output = L_vyber[ 3 ];
    end_item;
    item
      text = 'K4  hel mky';
      output = L_vyber[ 4 ];
    end_item;
    item
      text = '      Pozorovac protokol';
      output = L_vyber[ 5 ];
    end_item;
    item
      text = '      Aktivn oblasti';
      output = L_vyber[ 6 ];
    end_item;
    
    procedure OnIndex( Index : real );
    begin
      P_vyber_kamery.DeselectAll();
      if okno_zmeny = 1 then
        AL_vybrano = Index;AP_vybrano = 0;
        if    Index = 1 then panel_A.DVNewFile( 'SPACE.BMP')
        elsif Index = 2 then panel_A.DVNewFile( 'EARTH.BMP')
        elsif Index = 3 then panel_A.DVNewFile( 'SPECTRUM.BMP')
        elsif Index = 4 then panel_A.DVNewFile( 'JUPITER.BMP')
        elsif Index = 5 then panel_A.DVNewFile( 'POZ_PROT.TXT')
        elsif Index = 6 then panel_A.DVNewFile( 'FLAME_96.FLC');
        end;
      elsif okno_zmeny = 2 then
        BL_vybrano = Index;BP_vybrano = 0;
        if    Index = 1 then panel_B.DVNewFile( 'SPACE.BMP')
        elsif Index = 2 then panel_B.DVNewFile( 'EARTH.BMP')
        elsif Index = 3 then panel_B.DVNewFile( 'SPECTRUM.BMP')
        elsif Index = 4 then panel_B.DVNewFile( 'JUPITER.BMP')
        elsif Index = 5 then panel_B.DVNewFile( 'POZ_PROT.TXT')
        elsif Index = 6 then panel_B.DVNewFile( 'FLAME_96.FLC')
        end;
      elsif okno_zmeny = 3 then
        CL_vybrano = Index;CP_vybrano = 0;
        if    Index = 1 then panel_C.DVNewFile( 'SPACE.BMP')
        elsif Index = 2 then panel_C.DVNewFile( 'EARTH.BMP')
        elsif Index = 3 then panel_C.DVNewFile( 'SPECTRUM.BMP')
        elsif Index = 4 then panel_C.DVNewFile( 'JUPITER.BMP')
        elsif Index = 5 then panel_C.DVNewFile( 'POZ_PROT.TXT')
        elsif Index = 6 then panel_C.DVNewFile( 'FLAME_96.FLC'); panel_C.DVPlayRepeat();
        end;
      end;
      pn_vyber_kameru.Hide();
    end_procedure;
    
  end_multi_switch;

  multi_switch P_vyber_kamery;
    owner = pn_vyber_kameru;
    position = 183, 40, 156, 109;
    mode = menu;
    font = 'MS Sans Serif (Central European)', 8, bold;
    item
      text = 'S1  Segment spektra';
      output = P_vyber[ 1 ];
    end_item;
    item
      text = 'S2  Segment spektra';
      output = P_vyber[ 2 ];
    end_item;
    item
      text = 'S3  Segment spektra';
      output = P_vyber[ 3 ];
    end_item;
    item
      text = 'S4  Segment spektra';
      output = P_vyber[ 4 ];
    end_item;
    item
      text = 'S5  Segment spektra';
      output = P_vyber[ 5 ];
    end_item;
    item
      text = '      Deaktivovat okno';
      output = P_vyber[ 6 ];
    end_item;
    
    procedure OnIndex( Index : real );
    begin
      L_vyber_kamery.DeselectAll();
      if okno_zmeny = 1 then
        AL_vybrano = 0;AP_vybrano = Index;
        if    Index = 1 then panel_A.DVNewFile( 'SPECTR_1.BMP')
        elsif Index = 2 then panel_A.DVNewFile( 'SPECTR_2.BMP')
        elsif Index = 3 then panel_A.DVNewFile( 'SPECTR_3.BMP')
        elsif Index = 4 then panel_A.DVNewFile( 'SPECTR_4.BMP')
        elsif Index = 5 then panel_A.DVNewFile( 'SPECTR_5.BMP')
        elsif Index = 6 then panel_A.DVNewFile( 'TEMNOTA.BMP')
        end;
      elsif okno_zmeny = 2 then
        BL_vybrano = 0;BP_vybrano = Index;
        if    Index = 1 then panel_B.DVNewFile( 'SPECTR_1.BMP')
        elsif Index = 2 then panel_B.DVNewFile( 'SPECTR_2.BMP')
        elsif Index = 3 then panel_B.DVNewFile( 'SPECTR_3.BMP')
        elsif Index = 4 then panel_B.DVNewFile( 'SPECTR_4.BMP')
        elsif Index = 5 then panel_B.DVNewFile( 'SPECTR_5.BMP')
        elsif Index = 6 then panel_B.DVNewFile( 'TEMNOTA.BMP')
        end;
      elsif okno_zmeny = 3 then
        CL_vybrano = 0;CP_vybrano = Index;
        if    Index = 1 then panel_C.DVNewFile( 'SPECTR_1.BMP')
        elsif Index = 2 then panel_C.DVNewFile( 'SPECTR_2.BMP')
        elsif Index = 3 then panel_C.DVNewFile( 'SPECTR_3.BMP')
        elsif Index = 4 then panel_C.DVNewFile( 'SPECTR_4.BMP')
        elsif Index = 5 then panel_C.DVNewFile( 'SPECTR_5.BMP')
        elsif Index = 6 then panel_C.DVNewFile( 'TEMNOTA.BMP')
        end;
      end;
      pn_vyber_kameru.Hide();
    end_procedure;
    
  end_multi_switch;

  panel panel_A;
    owner = backpane;
    position = 0, 0, 512, 360;
    dv_file = 'EARTH.BMP';
    color = black;
    blink_color = lgray;
    
    procedure OnMouseUp( MouseX, MouseY : integer; LeftButton, MiddleButton, RightButton : boolean );
    begin
      if RightButton then
        okno_zmeny = 1;
        L_vyber_kamery.SetSelIndex(AL_vybrano);
        P_vyber_kamery.SetSelIndex(AP_vybrano);
        pn_vyber_kameru.Show();
      end;
    end_procedure;
    
  end_panel;

  box box_A;
    owner = panel_A;
    position = 0, 0, 512, 360;
    mode = border_only;
    colors
      border = lblue;
    end_colors;
  end_box;

  panel panel_B;
    owner = backpane;
    position = 512, 0, 512, 360;
    dv_file = 'SPECTRUM.BMP';
    color = black;
    blink_color = lgray;
    
    procedure OnMouseUp( MouseX, MouseY : integer; LeftButton, MiddleButton, RightButton : boolean );
    begin
      if RightButton then
        okno_zmeny = 2;
        L_vyber_kamery.SetSelIndex(BL_vybrano);
        P_vyber_kamery.SetSelIndex(BP_vybrano);
        pn_vyber_kameru.Show();
      end;
    end_procedure;
    
  end_panel;

  box box_B;
    owner = panel_B;
    position = 0, 0, 512, 360;
    mode = border_only;
    colors
      border = lblue;
    end_colors;
  end_box;

  panel panel_C;
    owner = backpane;
    position = 256, 360, 512, 360;
    dv_file = 'SPACE.BMP';
    color = black;
    blink_color = lgray;
    
    procedure OnMouseUp( MouseX, MouseY : integer; LeftButton, MiddleButton, RightButton : boolean );
    begin
      if RightButton then
        okno_zmeny = 3;
        L_vyber_kamery.SetSelIndex(CL_vybrano);
        P_vyber_kamery.SetSelIndex(CP_vybrano);
        pn_vyber_kameru.Show();
      end;
    end_procedure;
    
  end_panel;

  box box_C;
    owner = panel_C;
    position = 0, 0, 512, 360;
    mode = border_only;
    colors
      border = lblue;
    end_colors;
  end_box;

  panel pn_dalekohled;
    owner = backpane;
    position = 0, 360, 256, 330;
    color = black;
    blink_color = lgray;
  end_panel;

  label l_dalek;
    owner = pn_dalekohled;
    position = 36, 4;
    font = 'MS Sans Serif (Central European)', 17, bold;
    text = 'Dalekohled';
    colors
      paper = black;
      ink = lblue;
    end_colors;
  end_label;

  multi_switch D_menu;
    owner = pn_dalekohled;
    position = 40, 100, 182, 67;
    mode = menu;
    font = 'MS Sans Serif (Central European)', 10, bold;
    item
      text = 'Uveden do provozu';
      output = D_vyber[ 1 ];
    end_item;
    item
      text = 'Ovldn    ';
      output = D_vyber[ 2 ];
    end_item;
    item
      text = 'Zaven dalekohledu';
      output = D_vyber[ 3 ];
    end_item;
  end_multi_switch;

  box box_D;
    owner = pn_dalekohled;
    position = 0, 0, 256, 330;
    mode = border_only;
    colors
      border = lblue;
    end_colors;
  end_box;

  panel pn_spektrograf;
    owner = backpane;
    position = 768, 360, 256, 330;
    color = black;
    blink_color = lgray;
  end_panel;

  label l_spekt;
    owner = pn_spektrograf;
    position = 36, 4;
    font = 'MS Sans Serif (Central European)', 17, bold;
    text = 'Spektrograf';
    colors
      paper = black;
      ink = lblue;
    end_colors;
  end_label;

  panel pn_Spovel;
    owner = pn_spektrograf;
    position = 29, 66, 196, 250;
    visibility = false;
  end_panel;

  label l_spekt;
    owner = pn_Spovel;
    position = 15, 7;
    font = 'MS Sans Serif (Central European)', 12, bold;
    text = 'Uveden do provozu';
  end_label;

  multi_switch S_povel;
    owner = pn_Spovel;
    position = 10, 60, 179, 47;
    mode = menu;
    font = 'MS Sans Serif (Central European)', 10, bold;
    item
      text = 'Elektronika spektrografu';
      output = S_vyber[ 1 ];
    end_item;
    item
      text = 'Oteven spektrografu';
      output = S_vyber[ 2 ];
    end_item;
  end_multi_switch;

  switch S_switch_Storno;
    owner = pn_Spovel;
    position = 20, 200, 80, 25;
    mode = text_button;
    true_text = 'Storno';
    false_text = 'Storno';
    logic = set_true;
    font = 'MS Sans Serif (Central European)', 10, bold;
    mono = 2, true;
    colors
      true_paper = lyellow;
    end_colors;
    
    procedure OnOutput( Output : boolean );
    begin
      pn_Spovel.Hide();
    end_procedure;
    
  end_switch;

  switch S_switch_OK;
    owner = pn_Spovel;
    position = 110, 200, 80, 25;
    mode = text_button;
    true_text = 'O.K.';
    false_text = 'O.K.';
    logic = set_true;
    font = 'MS Sans Serif (Central European)', 10, bold;
    mono = 2, true;
    colors
      true_paper = lyellow;
    end_colors;
    
    procedure OnOutput( Output : boolean );
    begin
      pn_Spovel.Hide();
    end_procedure;
    
  end_switch;

  multi_switch S_menu;
    owner = pn_spektrograf;
    position = 40, 100, 176, 67;
    mode = menu;
    font = 'MS Sans Serif (Central European)', 10, bold;
    item
      text = 'Uveden do provozu';
      output = S_vyber[ 1 ];
    end_item;
    item
      text = 'Ovldn    ';
      output = S_vyber[ 2 ];
    end_item;
    item
      text = 'Zaven spektrografu';
      output = S_vyber[ 3 ];
    end_item;
    
    procedure OnIndex( Index : real );
    begin
      if    Index = 1 then pn_Spovel.Show(); end;
    end_procedure;
    
  end_multi_switch;

  box box_S;
    owner = pn_spektrograf;
    position = 0, 0, 256, 330;
    mode = border_only;
    colors
      border = lblue;
    end_colors;
  end_box;

  switch S_switch;
    owner = backpane;
    position = 803, 693, 186, 25;
    mode = text_button;
    true_text = 'Reim pozorovn';
    false_text = 'Reim pozorovn';
    logic = set_true;
    font = 'MS Sans Serif (Central European)', 10, bold;
    mono = 2, true;
    colors
      true_paper = lyellow;
    end_colors;
  end_switch;

  switch D_switch;
    owner = backpane;
    position = 18, 693, 186, 25;
    mode = text_button;
    true_text = 'Skanovac automat';
    false_text = 'Skanovac automat';
    logic = set_true;
    font = 'MS Sans Serif (Central European)', 10, bold;
    mono = 2, true;
    colors
      true_paper = lyellow;
    end_colors;
  end_switch;

  program startup;
    
    procedure OnActivate();
    begin
      backpane.NewRect( WorkX, WorkY, WorkW, WorkD );
      backpane.Show();
      backpane.Select();
      backpane.Maximize();
    end_procedure;
    
  end_program;

end_instrument;

